:root {
    --color-red: #C60148;
    --color-ivory: #FCF3EA;
    --color-black: #1D1D1B;

    --font-title: "Fraunces", serif;
    --font-accent: "Cedarville Cursive", cursive;

    --font-size-hn: 60px;
    --font-size-a: 18px;
    --font-size-txt: 16px;

    --padding-txt: 40px;
    --padding-section: 100px;
    --padding-p: 20px;
}

body{
    font-family: "Manrope", sans-serif;
    background-color: var(--color-ivory);
}

img {
    max-width: 100%;
}

a {
    text-decoration: none;
    font-size: var(--font-size-a)
}

p {
    font-size: var(--font-size-txt)
}

.container {
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
    }

[class*="col-"] {
    padding: 0 10px;
    box-sizing: border-box;
}

.col-1 { width: 8.333%; }
.col-2 { width: 16.666%; }
.col-3 { width: 25%; }
.col-4 { width: 33.333%; }
.col-5 { width: 41.666%; }
.col-6 { width: 50%; }
.col-7 { width: 58.333%; }
.col-8 { width: 66.666%; }
.col-9 { width: 75%; }
.col-10 { width: 83.333%; }
.col-11 { width: 91.666%; }
.col-12 { width: 100%; }

/* HEADER */

.navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}

.navigation-left,
.navigation-right {
    display: inline-flex;
    align-items: center;
    gap: 40px;
}

.navigation-left a,
.navigation-right a {
    font-family: var(--font-title);
    font-size: 20px;
    color: var(--color-black);
}

header {
    top: 0;
    left: 0;
    width: 100%;
    padding-top: 40px;
    padding-bottom: 40px;
    z-index: 10;
}

header .contact-red {
    color: var(--color-red);
}

/* ANIMATION */

header a,
footer a,
.onglet-contenu a,
.formulaire a {
    position: relative;
}

header a:not(.logo-link):not(.contact-red)::after,
p a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-black);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
}

header .contact-red::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-red);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
}

footer a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-ivory);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
}

header a:not(.logo-link):hover::after,
header .contact-red:hover::after,
footer a:hover::after,
p a:hover::after {
    transform: scaleX(1);
}

.onglet-contenu a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-black);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(1);    
}

.onglet-contenu a:hover::after {
    transform: scaleX(0);
}

/* SECTION-FORMULAIRE */

.section-formulaire {
    margin: var(--padding-section) 0 200px;
}

video {
  width: 100%;
  object-fit: cover;
  display: block;    
}

.bold {
    font-weight: bold;
}

a {
    font-size: 16px;
    color: var(--color-black);
}

.form-group input {
    width: 100%;
    height: 30px;
    border-radius: 10px;
    padding-left: 10px;
    border: 1px solid;
    border-color: var(--color-red);
}

.form-name {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    width: 100%;
}

.form-name .form-group {
    flex: 1;
}

.form-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    margin-bottom: 15px;
}

button {
    background-color: var(--color-red);
    border: none;
    width: 93px;
    height: 34px;
    border-radius: 10px;
    color: var(--color-ivory);
    font-size: var(--font-size-a);
    cursor: pointer;
}

p {
    padding-bottom: 15px;
}

/* FOOTER */

.newsletter h2 {
    font-size: 32px;
    font-family: var(--font-title);
    padding-bottom: var(--padding-p);
    color: var(--color-ivory);
}

.newsletter p,
.footer-nav a,
.footer-legal a,
footer li {
    font-size: 16px;
    color: var(--color-ivory);
}

.footer-nav ul,
.footer-legal ul {
    display: flex;
    gap: 60px;
}

.footer-container {
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
}

.footer-container-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.newsletter-form {
    position: relative;
    display: inline-flex;
    align-items: center;
    padding-bottom: var(--padding-p);
}

input {
    width: 400px;
    height: 30px;
    border-radius: 10px;
    padding-left: 10px;
    border: none;
    position: relative;
    background-color: var(--color-ivory);
}

.newsletter-btn {
    position: absolute;
    right: 15px;
    top: 30%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    cursor: pointer;
}

.newsletter {
    padding-bottom: 150px;
}

.newsletter a {
    font-size: 16px;
    color: var(--color-ivory);
}

.footer-nav {
    padding-bottom: var(--padding-p);
}

footer {
    position: relative;
    height: 1100px;
}

.footer-visuel {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.footer-visuel img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* RESPONSIVE */

.burger {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 5px;
}

.burger span {
    display: block;
    width: 25px;
    height: 2px;
    background-color: var(--color-black);
}

@media (max-width: 767px) {

    :root {
        --font-size-hn: 36px;
        --padding-section: 60px;
        --padding-txt: 30px;
    }

    h1 {
        font-size: 36px;
    }

    .col-1, .col-2, .col-3, .col-4,
    .col-5, .col-6, .col-7, .col-8,
    .col-9, .col-10, .col-11, .col-12 {
        width: 100%;
    }

    /* HEADER */

    .burger {
        display: flex;
        grid-column: 1;
        grid-row: 1;
        z-index: 11;
        cursor: pointer;
    }

    .navigation {
        display: grid;
        grid-template-columns: auto 1fr;
        grid-template-rows: auto auto;
        gap: 0;
        align-items: center;
    }

    .navigation > div {
        grid-column: 2;
        grid-row: 1;
        display: flex;
        justify-content: center;
    }

    .navigation-left {
        grid-column: 1 / -1;
        grid-row: 2;
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding-top: 20px;
        width: 100%;
        padding-bottom: 20px;
    }

    .navigation-right {
        grid-column: 1 / -1;
        grid-row: 3;
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        width: 100%;
    }

    .navigation-left,
    .navigation-right {
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        width: 100%;
        text-align: center;
    }

    .navigation.open .navigation-left,
    .navigation.open .navigation-right {
        display: flex;
    }

    .navigation > div img {
        width: 150px;
        height: auto;
    }

    /* SECTION-PRODUIT */

    /* FOOTER */

    .newsletter h2,
    .newsletter p,
    .newsletter a,
    .footer-nav a,
    .footer-legal a,
    .footer-legal p {
        color: var(--color-black);
    }

    input {
        border: 1px solid;
        border-color: var(--color-red);
    }

    footer {
        height: auto;
        display: flex;
        flex-direction: column-reverse;
    }

    .footer-visuel {
        position: relative;
        width: 100%;
    }

    .footer-visuel img {
        width: 100%;
        height: auto;
        object-fit: cover;
        padding-top: 50px;
    }

    .footer-container {
        position: relative;
        bottom: auto;
        left: auto;
        transform: none;
    }

    .footer-container-nav {
        flex-direction: row;
        align-items: flex-start;
        justify-content: space-between;
        width: 100%;
    }

    .footer-nav ul,
    .footer-legal ul {
        flex-direction: column;
        gap: 20px;
        text-align: left;
    }

    .newsletter {
        padding-bottom: 50px;
    }

    /* ANIMATION */

    footer a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: var(--color-black);
    transform-origin:left;
    transition: transform 0.3s ease;
    transform: scaleX(0);
    }

    footer a:hover::after {
        transform: scaleX(1);
    }
}